[Python-Dev] Re: PEP 328 -- relative and multi-line import

Bernhard Herzog bh at intevation.de
Mon Apr 5 05:05:08 EDT 2004

Aahz <aahz at pythoncraft.com> writes:

> Timeline
> ========
> In Python 2.4, you must enable the new absolute import behavior with ::
>     from __future__ import absolute_import
> You may use relative imports freely.  In Python 2.5, any ``import``
> statement that results in an intra-package import will generate a
> ``PendingDeprecation`` warning (this also applies to ``from <> import``
> that fails to use the relative import syntax).  In Python 2.6, ``import``
> will always be an absolute import.

Why PendingDeprecation?  If the import semantics change in incompatible
ways in 2.6, 2.5 should generate a "normal" DeprecationWarning, I think.


Intevation GmbH                                 http://intevation.de/
Skencil                                http://sketch.sourceforge.net/
Thuban                                  http://thuban.intevation.org/

More information about the Python-Dev mailing list